View Issue Details

IDProjectCategoryView StatusLast Update
0005666mantisbtbugtrackerpublic2012-04-21 05:07
Reporterpolzin Assigned Torombert  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionno change required 
Product Versiongit trunk 
Target VersionFixed in Version 
Summary0005666: When versions of subprojects are collected, there is no check for duplicate version numbers.
Description

The fix for 0005599 included the versions of subprojects into the dropdown menue for the filter of the parent project, which is nice. But as I have several subprojects all with the same versions, there are a lot of duplicates in the dropdown menue.

TagsNo tags attached.

Relationships

has duplicate 0005667 closedthraxisp When versions of subprojects are collected, there is no check for duplicate version numbers. 

Activities

polzin

polzin

2005-05-30 11:35

reporter   ~0010275

Even more interesting I find a propagation of the version number from the parent to the subproject, see 0005668

polzin

polzin

2005-05-30 12:25

reporter   ~0010277

Last edited: 2005-05-30 12:26

A possible fix could be:

<pre>
diff -c -r1.1.1.6 print_api.php
*** core/print_api.php 28 May 2005 00:54:34 -0000 1.1.1.6
--- core/print_api.php 30 May 2005 16:24:39 -0000


* 578,590 **
if ( $p_leading_blank ) {
echo '<option value=""></option>';
}
! foreach( $versions as $version ) {
! $t_version = string_shorten( string_attribute( $version['version'] ) );
! echo "<option value=\"$t_version\"";
! check_selected( $p_version, $t_version );
! echo ">$t_version</option>";
! }
! }

--------------------

    function print_build_option_list( $p_build='' ) {
            $t_bug_table = config_get( 'mantis_bug_table' );

--- 578,594 ----
if ( $p_leading_blank ) {
echo '<option value=""></option>';
}
! $version_names = array();
! foreach( $versions as $version ) {
! $t_version = string_shorten( string_attribute( $version['version'] ) );
! if ( ! in_array( $t_version, $version_names ) ) {
! $version_names[] = $t_version;
! echo "<option value=\"$t_version\"";
! check_selected( $p_version, $t_version );
! echo ">$t_version</option>";
! }
! }
! }

--------------------

    function print_build_option_list( $p_build='' ) {
            $t_bug_table = config_get( 'mantis_bug_table' );

</pre>

And again, without $g_wrap_in_preformatted_text = OFF; preformatted text is misbehaving. :-)

rombert

rombert

2011-12-15 04:39

reporter   ~0030622

Hi,

As far as I can see this does not happen anymore - only one similary named version is shown in the filters. For instance, if we have the following project hiearchy and assigned versions:

<pre>Project 1 ( Version 1, Version2 )
- SubProject 1 ( Version3 )
- SubProject 2 ( Version3 )</pre>

In the filter page I get the following options:

<ul><li>[any]</li><li>[none]</li><li>[SubProject 2] Version3</li><li>Version 2</li><li>Version 1</li></ul>

Is this what you asked for?

atrol

atrol

2012-04-07 10:56

developer   ~0031613

polzin, you did not provide any feedback. I am resolving this issue as "no change required". Feel free to provide the requested feedback at a later time and to reopen the issue.

Issue History

Date Modified Username Field Change
2005-05-30 11:24 polzin New Issue
2005-05-30 11:35 polzin Note Added: 0010275
2005-05-30 12:25 polzin Note Added: 0010277
2005-05-30 12:26 polzin Note Edited: 0010277
2005-05-30 14:39 thraxisp Relationship added has duplicate 0005667
2011-12-15 04:39 rombert Note Added: 0030622
2011-12-15 04:39 rombert Status new => feedback
2012-04-07 10:56 atrol Note Added: 0031613
2012-04-07 10:56 atrol Status feedback => resolved
2012-04-07 10:56 atrol Resolution open => no change required
2012-04-07 10:56 atrol Assigned To => rombert
2012-04-21 05:07 atrol Status resolved => closed